HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetIssuingCards

Contains the different functions to run the operation getIssuingCards

  • 7 types
  • 4 values
  • Packagestripeapi-3.0.0.0
  • Exports11
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetIssuingCards.hs
valuegetIssuingCards
  1. :: MonadHTTP m
  2. => GetIssuingCardsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetIssuingCardsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/issuing/cards

<p>Returns a list of Issuing <code>Card</code> objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.</p>

Defines the object schema located at paths./v1/issuing/cards.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/issuing/cards.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Only return cards that were issued during the given date interval.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/issuing/cards.GET.parameters.properties.queryStatus in the specification.

Represents the parameter named 'status'

Only return cards that have the given status. One of `active`, `inactive`, or `canceled`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/issuing/cards.GET.parameters.properties.queryType in the specification.

Represents the parameter named 'type'

Only return cards that have the given type. One of `virtual` or `physical`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getIssuingCards.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetIssuingCardsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/issuing/cards.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON